Page MenuHomePhabricator

Search box at top right of pages should italicize redirects
Open, MediumPublic

Description

There appear to be a number of places (like categories) where redirects are in italics and normal articles are in non-italics. Could that concept be added to the drop-down list on search box? (so that for example, if Phi Gamma Delta is typed into the searchbox, Phi Gamma Delta, Phi Gamma Delta House, and Phi Gamma Delta Fraternity House (University of Minnesota) show up as normal, but Phi Gamma Delta Chapters occurs in italics since it is a redirect.

From: https://en.wikipedia.org/wiki/Wikipedia:Village_pump_(idea_lab)#Search_Drop_down_list_-_redirects_in_italics.3F

Rough mockup:

(note the redirect is also highlighted with a hover state)

Kinda related (in terms of user experience/consistency): T52240

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterAdd note whether result is a redirect

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 7 2016, 7:21 PM
Deskana added a subscriber: Deskana.EditedJul 11 2016, 11:10 PM

I agree that it's suboptimal to not convey redirection in search results to users. That said, italicisation seems like a poor solution to the problem. Firstly, some languages do not have the concept of italicisation (e.g. Hindi). Secondly, it is arguable that using italics in this manner would violate the conventions of some languages (e.g. Japanese). Thirdly, italicisation is at odds with our (slowly standardising) UX patterns for search.

I favour the principle of staying in-line with the UX standards that are being applied for searching Wikipedia elsewhere:

Visual Editor:

iOS app:

Android app:

Mobile web and desktop don't have this UX pattern yet. I'd like to see that happen.

Just so I understand, italics are probably not the best way to handle helping people in identifying redirects.

However some other visual indicator, say an icon or the words "Redirected from", would be more ideal.

Just so I understand, italics are probably not the best way to handle helping people in identifying redirects.
However some other visual indicator, say an icon or the words "Redirected from", would be more ideal.

Yes, I think so. :-)

debt triaged this task as Medium priority.Jul 18 2016, 10:19 PM
debt added a subscriber: debt.

adding the 'easy' and 'need volunteer' tags to this ticket - should be fairly easy to implement using a 'redirected from' phrase.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 18 2016, 10:19 PM
DatGuy added a subscriber: DatGuy.Jan 14 2017, 5:56 PM

I am interesting in working on this. From what I understand, in the searchbar it checks if it isRedirect. If it is, then its bolded? Or should there be some small text next to it? Also, should this happen in CirrusSearch, as I believe that carries out the autocompletion. Thanks.

I'm working on it now, but I think this would require community consensus, or at least a preference. Adding a tag for the former.

I think this would require community consensus

Why? On which site? I thought this task is about changing code and not setting configuration preferences on WMF sites?

From what I understand, it is requested that in the search bar, if it is a redirect then it tells the user that somehow. Would that be supported by everyone? It is a visual change, which would affect lots of people (as lots of people use the search bar)

From what I understand, it is requested that in the search bar, if it is a redirect then it tells the user that somehow. Would that be supported by everyone? It is a visual change, which would affect lots of people (as lots of people use the search bar)

I don't think using italicised text is a good idea for there reasons listed above in T139647#2450709. Such a change would also (eventually) be made redundant by a design more consistent with the ones shown in the above comment.

That said, I don't intend to block the proposed italicisation change, as it would not be a fruitful use of time for anyone involved.

I didn't suggest that italicised text would be used, I just said that something would need to be added. What I was originally going with was to add a little <font size:x>(redirect)</font> after the result. Sorry for any misunderstandings :).

I didn't suggest that italicised text would be used, I just said that something would need to be added. What I was originally going with was to add a little <font size:x>(redirect)</font> after the result. Sorry for any misunderstandings :).

Ah, I see! I think that's a step in the right direction. Thanks! :-)

@Aklapper does that explain why community consensus would be needed? Also, not sure but would it be possible to let users achieve consensus per wiki (for example, only add (redirect) in enwiki and not globally, etc.?) Thanks.

@Aklapper does that explain why community consensus would be needed? Also, not sure but would it be possible to let users achieve consensus per wiki (for example, only add (redirect) in enwiki and not globally, etc.?) Thanks.

I don't think community consensus is required for this. It's a relatively small change.

If this were something Discovery were actively investigating, we'd do an A/B test to check whether it actually has any kind of effect on browsing behaviour and the ability to find content. If the effect were negative, we would not deploy the change. For smaller changes, hard data is often more effective at judging whether a change is effective than asking just vote based on their intuition.

Change 333485 had a related patch set uploaded (by DatGuy):
Add note whether result is a redirect

https://gerrit.wikimedia.org/r/333485

Is this really specific to the Completion Suggester or is it specific to the suggestions displayed in the search box top right?
I'd suggest to change the title and remove Completion Suggester if it's the case.
Secondly this task is marked easy, we should add some indication on how to implement the feature : this feature does not require a change in the backend. The VisualEditor is able to provide this information with the existing API, we should just change the desktop front-end to do something similar.

Is this really specific to the Completion Suggester or is it specific to the suggestions displayed in the search box top right?

No, it's not specific to the completion suggester.

I'd suggest to change the title and remove Completion Suggester if it's the case.
Secondly this task is marked easy, we should add some indication on how to implement the feature : this feature does not require a change in the backend. The VisualEditor is able to provide this information with the existing API, we should just change the desktop front-end to do something similar.

Makes sense to me.

Deskana renamed this task from Completion Suggester should italicize redirects to Search box at top right of pages should italicize redirects.Jan 24 2017, 5:39 PM

Change 333485 abandoned by DatGuy:
Add note whether result is a redirect

Reason:
Wrong repo

https://gerrit.wikimedia.org/r/333485

2015.ww removed a subscriber: 2015.ww.May 5 2017, 4:55 PM
Framawiki moved this task from Backlog to Doing on the good first task board.Dec 2 2017, 1:34 PM

Hello I would like to work on this task @CKoerner_WMF Can you please help me to find code base repository? and also from the above discussion I found that the redirects are to be bold, could you confirm it whether it should be bold or italic? If so can you please update the task description.

@Nithinreddy18: Hi and welcome! Also see T139647#2959083 - the code repo should be CirrusSearch (mediawiki/extensions/cirrussearch) in Gerrit.

Indeed T139647#2946293 does not imply that there is "non-controversial" consensus about the approach here, so the Discovery folks should clarify.

TheDJ added a subscriber: TheDJ.Nov 5 2018, 12:51 PM

Th display code is mostly inside the main mediawiki repository, under resources/src/mediawiki.searchSuggest.

The search results are returned in a simple JSON format, but this doesn't support returning additional metadata information at this point in time as far as I can tell. You will therefore need to modify includes/api/ApiOpenSearch.php to take the redirect context from the CirrusSearch results and find some way to do that.